Bug 834372 - [abrt] glade-3.12.1-1.fc17: gdk_toplevel_get_frame_size: Process /usr/bin/glade was killed by signal 11 (SIGSEGV)
[abrt] glade-3.12.1-1.fc17: gdk_toplevel_get_frame_size: Process /usr/bin/gla...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oxygen-gtk3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:68b2710e8ef5b4256216a6fbc4b...
:
: 836248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 13:21 EDT by Alexander Kurtakov
Modified: 2013-08-01 05:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.91 KB, text/plain)
2012-06-21 13:22 EDT, Alexander Kurtakov
no flags Details
File: maps (32.77 KB, text/plain)
2012-06-21 13:22 EDT, Alexander Kurtakov
no flags Details
File: dso_list (6.34 KB, text/plain)
2012-06-21 13:22 EDT, Alexander Kurtakov
no flags Details

  None (edit)
Description Alexander Kurtakov 2012-06-21 13:21:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/glade
comment:        Try to create a Dialog with glade ui.
crash_function: gdk_toplevel_get_frame_size
executable:     /usr/bin/glade
kernel:         3.4.2-4.fc17.x86_64
pid:            12272
pwd:            /home/akurtakov/Documents
time:           Thu 21 Jun 2012 08:18:32 PM EEST
uid:            1000
username:       akurtakov

backtrace:      Text file, 25508 bytes
dso_list:       Text file, 6489 bytes
maps:           Text file, 33561 bytes

build_ids:
:56b9a2799a06317b376d9e976e94e77d73f10c2a
:8b33feb27b2125997520fdd21c90c42a65e438f1
:99c23b21038c62b0628b93610fb54c5900c40ffd
:397f366afefa46e1f2f3c92c9dc16aad4cff9cc5
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:b277af36744327e3d58eae76bcdaadcca71a28c6
:ec87953f655fbcbcbe71b591db5451e56739576e
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:31243d0d107bba586a96433c76c87a26db1e826c
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:9ac85decf4dce73ef6cf20890f38790dc9117628
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:822e9b3523e8312240f41a25722d539bc77ed436
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:49dd5ffc6f0f6880ce1f5b9dc7ba12ed0588fed3
:4c9c864a7c7b7ed702088955821d58137803462d
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:508cf66f72e70054a41215f80ed2385c6bb80030
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:610a3f37ce11f29244166ea00252b96e3ae01907
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/akurtakov/2

core_backtrace:
:- 0x0 - - -
:610a3f37ce11f29244166ea00252b96e3ae01907 0xa4d06 Oxygen::Gtk::gdk_toplevel_get_frame_size(_GdkWindow*, liboxygen-gtk.so -
:610a3f37ce11f29244166ea00252b96e3ae01907 0xa504d Oxygen::Gtk::gdk_window_map_to_toplevel(_GdkWindow*, liboxygen-gtk.so -
:610a3f37ce11f29244166ea00252b96e3ae01907 0xc49b2 Oxygen::Style::renderWindowBackground(_cairo*, liboxygen-gtk.so -
:610a3f37ce11f29244166ea00252b96e3ae01907 0xfdb3b Oxygen::render_background(_GtkThemingEngine*, liboxygen-gtk.so -
:710b0d8cc36603d66327090defd37c99daa38f28 0x201f7a gtk_render_background libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2bc881 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17acc9 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a0560 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b134e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2b1505 gtk_widget_send_expose libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17abf2 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x37880 - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x3782a - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x36cd6 - libgdk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x37158 gdk_window_process_all_updates libgdk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xf3836 - libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x1a7b0 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:56b9a2799a06317b376d9e976e94e77d73f10c2a 0x8c0f main [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1464
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=rh.akurtakov
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=5f5378dc687bec409f09096b0000001c-1340043156.315158-1056401322
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/akurtakov/.gtkrc-2.0:/home/akurtakov/.gtkrc-2.0-kde4:/home/akurtakov/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.203
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/akurtakov/.gtkrc:/home/akurtakov/.kde/share/config/gtkrc
:WINDOWID=37748762
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/akurtakov/keyring-ogEDGP
:SHELL_SESSION_ID=6141a6037c1140008d4232f5576ba9f4
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=akurtakov
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-GRlixOBg1388/agent.1388
:USERNAME=akurtakov
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1549,unix/unix:/tmp/.ICE-unix/1549
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/akurtakov
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/akurtakov/.local/bin:/home/akurtakov/bin
:QT_IM_MODULE=xim
:PWD=/home/akurtakov/git/org.eclipse.linuxtools
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1384
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/akurtakov
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=akurtakov
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nvfxnC3RSY,guid=692aae3b3b6712e04358649400000046
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/akurtakov
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/akurtakov/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-akurtakov/xauth-1000-_0
:_=/usr/bin/amarok
:OLDPWD=/home/akurtakov
:PULSE_PROP_media.role=music
:PULSE_PROP_phonon.streamid={418926e1-2866-4933-b342-40e3c6a152ee}
:MYSQL_HOME=/home/akurtakov/.kde/share/apps/amarok/
:DEFAULT_HOME_ENV=/home/akurtakov/.kde/share/apps/amarok/
:DESKTOP_STARTUP_ID=rh.akurtakov;1340299096;825306;1599_TIME257864770

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62788                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62788                62788                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[1171160]
:pos:	0
:flags:	00
:1:/dev/pts/1 (deleted)
:pos:	0
:flags:	0102002
:2:/dev/pts/1 (deleted)
:pos:	0
:flags:	0102002
:3:socket:[1853545]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1852149]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[1854727]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[1853595]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun 21 20:18:32 rh kernel: [257548.948485] glade[12272]: segfault at 0 ip           (null) sp 00007fff727306b8 error 14 in glade[400000+14000]
:Jun 21 20:18:33 rh abrt[12288]: Saved core dump of pid 12272 (/usr/bin/glade) to /var/spool/abrt/ccpp-2012-06-21-20:18:32-12272 (70684672 bytes)
Comment 1 Alexander Kurtakov 2012-06-21 13:22:03 EDT
Created attachment 593513 [details]
File: backtrace
Comment 2 Alexander Kurtakov 2012-06-21 13:22:06 EDT
Created attachment 593514 [details]
File: maps
Comment 3 Alexander Kurtakov 2012-06-21 13:22:08 EDT
Created attachment 593515 [details]
File: dso_list
Comment 4 Kalev Lember 2012-06-21 13:29:29 EDT
Looks like a crash in oxygen-gtk3, reassigning.

Thread 1 (Thread 0x7f855d591980 (LWP 12272)):
#0  0x0000000000000000 in ?? ()
No symbol table info available.
#1  0x00007f8556838d06 in gdk_toplevel_get_frame_size (h=0x7fff72730760, w=0x7fff7273075c, window=<optimized out>) at /usr/src/debug/oxygen-gtk3-1.0.5/src/oxygengtkutils.cpp:882
        rect = {x = 0, y = 0, width = -1, height = -1}
        topLevel = 0x2ff37e0 [GdkX11Window]
Comment 5 nucleo 2012-06-21 13:46:50 EDT
Can't reproduce crash, /usr/bin/glade started and terminated fine.
Comment 6 nucleo 2012-06-23 11:52:45 EDT
It crashes with previous oxygen-gtk3 versions?
Comment 7 nucleo 2012-10-05 04:51:27 EDT
*** Bug 836248 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-07-03 22:47:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 05:24:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.